org.modeshape.jcr.query

## Interface NodeSequence.Batch

- All Superinterfaces:
    NodeSequence.RowAccessor
  All Known Implementing Classes:
    HashJoinSequence.HashCrossJoinBatch, HashJoinSequence.HashJoinBatch, HashJoinSequence.HashJoinRangeBatch, HashJoinSequence.RightRowsBatch, IntersectSequence.IntersectBatch, JoinSequence.LeftOnlyBatch, JoinSequence.RightOnlyBatch, NodeSequence.AlternateSizeBatch, NodeSequence.LimitBatch, NodeSequence.MultiWidthBatch, NodeSequence.SingleWidthBatch
  Enclosing class:
    NodeSequence

      @NotThreadSafe
      public static interface NodeSequence.Batch
      extends NodeSequence.RowAccessor

  A batch of rows containing nodes and scores.
  See Also:
    `NodeSequence.nextBatch()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getWorkspaceName()` Get the name of the workspace in which exists all nodes in this batch.
    `boolean` | `hasNext()` Determine if there are more rows in this batch.
    `boolean` | `isEmpty()` Determine whether this batch is empty.
    `void` | `nextRow()` Move to the next row in this batch.
    `long` | `rowCount()` Get the number of rows in the batch, if that information is available.

    - ### Methods inherited from interface org.modeshape.jcr.query.NodeSequence.RowAccessor

      `getNode, getNode, getScore, getScore, width`

- - ### Method Detail

    - #### getWorkspaceName

          String getWorkspaceName()

      Get the name of the workspace in which exists all nodes in this batch.
      Returns:
        the workspace name; never null

    - #### rowCount

          long rowCount()

      Get the number of rows in the batch, if that information is available.
      Returns:
        the number of rows; may be equal to -1 if the number of rows is not known without significant overhead

    - #### isEmpty

          boolean isEmpty()

      Determine whether this batch is empty.
      Returns:
        the true if there are no results, or false if there is at least some

    - #### hasNext

          boolean hasNext()

      Determine if there are more rows in this batch.
      Returns:
        true if there are more rows, or false otherwise

    - #### nextRow

          void nextRow()

      Move to the next row in this batch.
      Throws:
        `NoSuchElementException` - if there is no current row

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.